Bug 231591 - [Python-3] Invoke webkit-patch with Python 3 by default
Summary: [Python-3] Invoke webkit-patch with Python 3 by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on: 237396
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-12 10:22 PDT by Jonathan Bedard
Modified: 2022-03-03 08:55 PST (History)
9 users (show)

See Also:


Attachments
Patch (1.11 KB, patch)
2021-10-12 10:24 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (1.16 KB, patch)
2022-03-01 10:23 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (3.55 KB, patch)
2022-03-03 07:54 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-10-12 10:22:09 PDT
webkit-patch workflows should support Python 3 now, so we should change the shebang.
Comment 1 Radar WebKit Bug Importer 2021-10-12 10:22:46 PDT
<rdar://problem/84153640>
Comment 2 Jonathan Bedard 2021-10-12 10:24:01 PDT
Created attachment 440952 [details]
Patch
Comment 3 EWS 2021-10-12 12:39:11 PDT
Committed r284005 (242848@main): <https://commits.webkit.org/242848@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 440952 [details].
Comment 4 Jonathan Bedard 2021-10-18 17:35:31 PDT
Committed r284417 (243185@main): <https://commits.webkit.org/243185@main>
Comment 5 Jonathan Bedard 2022-03-01 10:23:13 PST
Reopening to attach new patch.
Comment 6 Jonathan Bedard 2022-03-01 10:23:15 PST
Created attachment 453510 [details]
Patch
Comment 7 Jonathan Bedard 2022-03-01 10:24:53 PST
The reason this got reverted previously is that WebKitBot had trouble. I did some investigation today, and that appears to be because WebKitBot has trouble with auto installing in general. That problem can be worked around by priming the autoinstalled cache, though. So we should re-landing this change.
Comment 8 EWS 2022-03-02 13:13:48 PST
Committed r290753 (247997@main): <https://commits.webkit.org/247997@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 453510 [details].
Comment 9 WebKit Commit Bot 2022-03-02 16:09:36 PST
Re-opened since this is blocked by bug 237396
Comment 10 Jonathan Bedard 2022-03-02 16:11:03 PST
Tried a revert with the Slackbot to make sure everything was working, and it would appear to be: https://bugs.webkit.org/show_bug.cgi?id=237396
Comment 11 Jonathan Bedard 2022-03-03 07:54:05 PST
Reopening to attach new patch.
Comment 12 Jonathan Bedard 2022-03-03 07:54:07 PST
Created attachment 453737 [details]
Patch
Comment 13 EWS 2022-03-03 08:55:10 PST
Committed r290777 (248021@main): <https://commits.webkit.org/248021@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 453737 [details].